# napoli.py

from gpanel import *
from math import *
from prosciutto import Prosciutto
           
class Napoli(Prosciutto):
    def __init__(self, price):
        self.name = "Pizza Napoli"
        self.price = price

    def addIngredients(self):
        Prosciutto.addIngredients(self)
        self.addFungi() 
        self.addOlives()
                 
    def addFungi(self):
        setColor(makeColor(190, 190, 190))
        move(0, 0)
        fillCircle(40)
  
    def addOlives(self): 
        setColor("black")
        for i in range(1, 5):
            move(60 * sin(i * pi/2), 60 * cos(i * pi/2))
            fillCircle(12)
            
 