# napoli.py

from gturtle import *
from math import *
from prosciutto import Prosciutto
           
class Napoli(Prosciutto):
    def __init__(self, price):
        self.name = "Pizza Napoli"
        self.price = price

    def addIngredients(self):
        Prosciutto.addIngredients(self)
        self.addFungi() 
        self.addOlives()
                 
    def addFungi(self):
        setPenColor(makeColor(190, 190, 190))
        setPos(0, 0)
        dot(80)
  
    def addOlives(self): 
        setPenColor("black")
        for i in range(1, 5):
            setPos(60 * sin(i * pi/2), 60 * cos(i * pi/2))
            dot(25)
            
 