# pizza.py

from abc import *
from gpanel import *
from math import *

class Pizza():
    __metaclass__ = ABCMeta
   
    def makeDough(self): 
        setColor(makeColor(255, 218, 148))
        move(0, 0)
        fillCircle(175) 

    def addTomato(self): 
        setColor(makeColor(200, 50, 0))
        fillCircle(150) 
  
    def addMozzarella(self): 
        setColor(makeColor(243, 243, 210))
        for i in range(6):
            move(100 * sin(i * pi/3), 100 * cos(i * pi/3))
            fillCircle(20) 
            
    def showPrice(self): 
        setColor("blue")
        move(-200, -250)
        text("Please pay  " + self.price + " Fr.")

    def createPizza(self): 
        self.makeDough()
        self.addTomato()
        self.addMozzarella() 
        self.addIngredients()
        self.showPrice()
        title(self.name)
 
    @abstractmethod
    def addIngredients(self):
        pass   
